#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire3200seven4xi .py">
#<abstract4xi abstract = "fires to direction seven and to distance 3200"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire3200seven4xi ']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SEVEN - COORDINATE SIGNS OF SHOOT2SEVEN4XI: (X - ,Y - ,Z + )
# -------------------------------------------------------------------------------------------------    
global shot2seven32004xi


#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False
shot2seven32004xi = { 
                1:'-1089x-2838y998z',
                2:'-1106x-2525y1624z',
                3:'-1222x-1031y2771z',
                4:'-1224x-1147y2841z',
                5:'-1230x-2449y1651z',
                6:'-1232x-2768y1028z',
                7:'-1253x-949y2787z',
                8:'-1277x-866y2802z',
                9:'-1297x-784y2818z',
                10:'-130x-1635y2747z',
                11:'-1311x-701y2833z',
                12:'-1321x-620y2847z',
                13:'-1325x-539y2862z',
                14:'-133x-2860y1427z',
                15:'-1348x-2367y1678z',
                16:'-1370x-2690y1058z',
                17:'-1461x-2279y1706z',
                18:'-1504x-2605y1088z',
                19:'-1568x-2185y1733z',
                20:'-161x-3090y813z',
                21:'-1632x-2514y1118z',
                22:'-1635x-2750y7z',
                23:'-1669x-2086y1759z',
                24:'-1755x-2416y1148z',
                25:'-1764x-1983y1786z',
                26:'-1777x-2660y39z',
                27:'-1853x-1875y1813z',
                28:'-1872x-2312y1178z',
                29:'-1913x-2563y71z',
                30:'-1935x-1763y1839z',
                31:'-1982x-2202y1208z',
                32:'-2011x-1648y1865z',
                33:'-2044x-2459y103z',
                34:'-2079x-1529y1891z',
                35:'-2086x-2086y1237z',
                36:'-212x-1599y2763z',
                37:'-2140x-1408y1917z',
                38:'-2169x-2348y135z',
                39:'-2183x-1966y1267z',
                40:'-2194x-1284y1942z',
                41:'-2241x-1158y1967z',
                42:'-2273x-1841y1296z',
                43:'-2281x-1031y1993z',
                44:'-2288x-2230y167z',
                45:'-2313x-903y2017z',
                46:'-2338x-774y2042z',
                47:'-2355x-645y2067z',
                48:'-2356x-1711y1325z',
                49:'-2365x-517y2091z',
                50:'-2400x-2106y199z',
                51:'-2431x-1578y1354z',
                52:'-2498x-1442y1383z',
                53:'-2506x-1976y231z',
                54:'-2558x-1303y1412z',
                55:'-2604x-1840y263z',
                56:'-2610x-1162y1441z',
                57:'-2653x-1018y1469z',
                58:'-2689x-873y1498z',
                59:'-2694x-1700y295z',
                60:'-2716x-727y1526z',
                61:'-2736x-581y1554z',
                62:'-2747x-435y1582z',
                63:'-2750x-289y1609z',
                64:'-2777x-1555y326z',
                65:'-281x-2835y1455z',
                66:'-2851x-1406y358z',
                67:'-290x-1558y2779z',
                68:'-2917x-1254y390z',
                69:'-2975x-1098y422z',
                70:'-29x-31y3199z',
                71:'-3025x-939y453z',
                72:'-3065x-779y485z',
                73:'-30x-456y3167z',
                74:'-322x-3069y844z',
                75:'-365x-1514y2795z',
                76:'-427x-2802y1484z',
                77:'-436x-1466y2810z',
                78:'-45x-1667y2730z',
                79:'-481x-3039y875z',
                80:'-48x-57y3199z',
                81:'-502x-1414y2825z',
                82:'-50x-423y3171z',
                83:'-565x-1360y2840z',
                84:'-570x-2761y1512z',
                85:'-623x-1303y2855z',
                86:'-638x-3001y906z',
                87:'-64x-85y3198z',
                88:'-677x-1243y2869z',
                89:'-67x-388y3175z',
                90:'-710x-2713y1540z',
                91:'-726x-1182y2883z',
                92:'-770x-1118y2897z',
                93:'-77x-115y3196z',
                94:'-791x-2955y937z',
                95:'-7x-489y3162z',
                96:'-80x-353y3179z',
                97:'-810x-1053y2910z',
                98:'-845x-987y2923z',
                99:'-846x-2657y1568z',
                100:'-876x-920y2936z',
                101:'-87x-147y3195z',
                102:'-895x-164y3067z',
                103:'-8x-7y3199z',
                104:'-901x-853y2949z',
                105:'-90x-318y3182z',
                106:'-915x-218y3058z',
                107:'-922x-786y2961z',
                108:'-931x-274y3048z',
                109:'-938x-718y2973z',
                110:'-942x-2900y967z',
                111:'-944x-333y3039z',
                112:'-94x-179y3193z',
                113:'-950x-651y2985z',
                114:'-954x-393y3028z',
                115:'-957x-585y2996z',
                116:'-959x-456y3018z',
                117:'-960x-520y3007z',
                118:'-96x-282y3186z',
                119:'-978x-2594y1596z',
                120:'-98x-213y3191z',
                121:'-99x-247y3188z',
                122:'0x-3102y783z'}         
#"
#/>


# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire3200seven4xi " usage = "target function for charge2seven4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire3200seven4xi (queue2seven, consumer_channel2seven, publisher_channel2seven):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE3200SEVEN4XI - STARTED TIME: ", time2start)
        #  
        
        print("\n (STEP 1A2/33) OF FIRE3200SEVEN4XI -  QUEUE2SEVEN: ", queue2seven)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE3200SEVEN4XI -  CONSUMER_CHANNEL2SEVEN: ", consumer_channel2seven)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE3200SEVEN4XI -  PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE3200SEVEN4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2seven.put(shot2seven32004xi)  
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE3200SEVEN4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE3200SEVEN4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE3200SEVEN4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2seven8shot2seven32004xi </ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2seven8shot2seven32004xi </nack2put4xi>" 
            
        publisher_channel2seven.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE3200SEVEN4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE3200SEVEN4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE3200SEVEN4XI - RETURNING QUEUE OBJECT QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi())  
        # 
            
    return queue2seven    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire3200seven4xi .py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>

       